package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TEbsRecordMapper;
import com.ruoyi.business.domain.TEbsRecord;
import com.ruoyi.business.service.ITEbsRecordService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-11-15
 */
@Service
public class TEbsRecordServiceImpl extends ServiceImpl<TEbsRecordMapper, TEbsRecord> implements ITEbsRecordService
{
    @Autowired
    private TEbsRecordMapper tEbsRecordMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param recordId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TEbsRecord selectTEbsRecordByRecordId(int recordId)
    {
        return tEbsRecordMapper.selectTEbsRecordByRecordId(recordId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tEbsRecord 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TEbsRecord> selectTEbsRecordList(TEbsRecord tEbsRecord)
    {
        return tEbsRecordMapper.selectTEbsRecordList(tEbsRecord);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tEbsRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTEbsRecord(TEbsRecord tEbsRecord)
    {
        return tEbsRecordMapper.insertTEbsRecord(tEbsRecord);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tEbsRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTEbsRecord(TEbsRecord tEbsRecord)
    {
        return tEbsRecordMapper.updateTEbsRecord(tEbsRecord);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param recordIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTEbsRecordByRecordIds(String recordIds)
    {
        return tEbsRecordMapper.deleteTEbsRecordByRecordIds(Convert.toStrArray(recordIds));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param recordId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTEbsRecordByRecordId(int recordId)
    {
        return tEbsRecordMapper.deleteTEbsRecordByRecordId(recordId);
    }
}
